## NAME

v.in.gpsbabel - Import waypoints, routes, and tracks from a GPS receiver or GPS download file into a vector map.

## KEYWORDS

vector, import, GPS

## SYNOPSIS

v.in.gpsbabel
v.in.gpsbabel help
v.in.gpsbabel [-vwrtpk] [input=string] [output=string] [format=string] [proj=string] [--overwrite] [--verbose] [--quiet]

### Flags:

-v
  Verbose mode
-w
  Import waypoints
-r
  Import routes
-t
  Import track
-p
  Force vertices of track or route data as points
-k
  Do not attempt projection transform from WGS84
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=string
  Device or file used to import data
  Default: /dev/gps
output=string
  Name for output vector map (omit for display to stdout)
format=string
  Format of GPS input data (use gpsbabel supported formats)
  Default: garmin
proj=string
  Projection of input data (PROJ.4 style), if not set Lat/Lon WGS84 is assumed

## DESCRIPTION

v.in.gpsbabel allows the user to import waypoint, route, and track data from a locally connected GPS receiver or a text file containing GPS data of many common formats. Translation is done via the GPSBabel program.

This software is not intended as a primary means of navigation.

## NOTES

v.in.gpsbabel automatically reprojects data using the projection settings of the current location. The default input data projection is lat/lon WGS84. If your GPS outputs data using another projection or map datum, you may include the PROJ.4 parameters defining your projection in the proj option and v.in.gpsbabel will reproject your data accordingly. Great care must be taken to get these parameters correct! The automatic transform may be skipped by using the -k flag in which case the data will be imported unprojected, as it appears in the input.

Route and Track data may be uploaded as a series of points by using the -p flag, otherwise they will be imported as lines. You can run v.in.gpsbabel multiple times and merge the line and point vectors with the v.patch command if you want, but take care when merging dissimilar attribute tables.

## EXAMPLES

### GPS device connected via USB adapter

Import waypoints, tracks, routes from /dev/ttyUSB0 and save to a GRASS vector map:

    v.in.gpsbabel -w input=/dev/ttyUSB0 format=garmin output=waypoints
    v.in.gpsbabel -t input=/dev/ttyUSB0 format=garmin output=tracks
    v.in.gpsbabel -r input=/dev/ttyUSB0 format=garmin output=routes

### GPS device connected via serial adapter

Import waypoint data from a Garmin GPS connected at /dev/ttyS0 and save to a GRASS vector map named waypoints:

    v.in.gpsbabel -w input=/dev/ttyS0 format=garmin output=waypoints

### Import track data from a GPX

Import track data from a GPX text file and save to a GRASS vector map named tracks.

    v.in.gpsbabel -t input=gpslog.gpx format=gpx output=tracks

### Import route data from GPS connected at /dev/gps

Import route data as a series of points from a Garmin GPS connected at /dev/gps and save to a GRASS vector map named routePoints:

    v.in.gpsbabel -r -p file=/dev/gps format=garmin output=routePoints

## SEE ALSO

db.execute, v.in.ascii, v.in.garmin, v.db.connect, v.patch gpsbabel from gpsbabel.org
cs2cs from PROJ.4

## AUTHORS

Claudio Porta and Lucio Davide Spano, students of Computer Science at University of Pisa (Italy).
Commission from Faunalia Pontedera (PI)
Based on v.in.garmin for GRASS 6.0 by Hamish Bowman
and v.in.garmin.sh for GRASS 5 by Andreas Lange

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team